# 产品创建

更新时间：2022-04-01   作者：嵌入式-子明



## 1. 应用固件说明

### 1.1. 固件分类

固件产物位于工程文件夹下的 **output **目录下，**QIO** 是生产固件，**UG** 是全量升级固件 ，**DIFF** 是用于生成差分的固件。

我们在生产时烧录的 **QIO** 固件即可：
![image](https://images.tuyacn.com/fe-static/docs/img/c141f85b-6007-470c-a6ab-93b24a963700.png)


## 2. IoT 平台产品创建

前往 [涂鸦 IoT 平台](https://iot.tuya.com/pmg/list)，选择一款与您本地开发的固件相同品类的产品，并进行创建，此处以灯为例。


### 2.1. 产品创建
进入主页面后，点击 **创建产品**；
![image](https://images.tuyacn.com/fe-static/docs/img/ad1eea68-8571-46e2-a0a8-eb3bf5468581.png)

然后选择「标准类目」，根据需要现在相关品类，演示例程选择**照明**，之后再选择照明品类下的相关产品，演示例程中选择**光源**；
![image](https://images.tuyacn.com/fe-static/docs/img/0472a27e-1df0-4712-adc2-7c3db851fe25.png)

点击所选的产品后进入「选择智能化方式」，对于 Zigbee 协议，我们选**择产品开发**方式
![image](https://images.tuyacn.com/fe-static/docs/img/be343d54-6ffb-4096-b4f1-356996f747d2.png)

选择好智能化方式之后我们进入「选择产品方案」，再选择「自定义方案」，选择完成后点击呈现出的相关产品方案，并进行产品名称填写；
![image](https://images.tuyacn.com/fe-static/docs/img/928b75c5-4097-4a21-8f36-9d47ccb57d6d.png)
![image](https://images.tuyacn.com/fe-static/docs/img/9ce40711-41c6-4423-a560-57f61f018ec5.png)


### 2.2. 功能定义

创建完产品后，进入产品「功能定义」选择界面，配置好相应的 DP 点，我们选择「标准功能」，并进点击「+添加功能」，所选择的 DP 点是需要与我们开发的产品固件中的功能相对应的；
对于 DP 点不清楚的同学请咨询涂鸦相关产品经理或咨询智能客服进行解决，demo 中我们仅添加标准功能，用于简单演示。
![image](https://images.tuyacn.com/fe-static/docs/img/7dcc2cb7-4c32-4341-8d95-e46daa68562b.png)


### 2.3. 设备面板

之后选择「设备面板」，选择您喜欢的风格，并点击确认；
![image](https://images.tuyacn.com/fe-static/docs/img/263adba6-ccbb-455d-bfac-f15e6e786944.png)


### 2.4. 硬件开发

选择完 APP 面板之后，点击「硬件开发」，根据您的需要选择 **MCU SDK** 或者 **TuysOS** 接入方式，这里我们选择 **TuysOS** 接入方式，然后在选择您需要的硬件芯片或模组，在选择硬件时请注意查看您下载的 TuyaOS 开发框架是否已经支持您所选择的芯片或模组，否则可能无法正常运行；
![image](https://images.tuyacn.com/fe-static/docs/img/73ea7734-c2f9-4403-b083-959c71a16c67.png)


#### 2.4.1.  新增固件

然后选择「新增自定义固件」，选择后填写完成相关固件信息，后点击「生成固件KEY」；
**固件标识名说明：**例如 **tuyaos_demo_zg_light2** demo 工程的产物命名是 **工程名称\_固件类型\_版本号.后缀**  ,那么**工程名称**就是固件标识名，这里填写错误会导致指纹校验产测项失败；
![image](https://images.tuyacn.com/fe-static/docs/img/a769577d-7078-4304-a1ab-e2d32eb3407b.png)


#### 2.4.2.  上传固件

在生成完成固件KEY 后，点击「新增固件版本」，来上传我们在本地生成的固件产物，对于 Zigbee 协议来说**生产固件**和**用户区固件**是相同的，都上传 QIO 类型生产固件即可，之后点击「保存并上架」；
![image](https://images.tuyacn.com/fe-static/docs/img/ebe21cba-c3d7-4a03-bca3-4aba80e16026.png)


#### 2.4.3.  申请激活码

上架完成后点击「免费领取2个激活码」，然后选择 「交付形式」，我们选择**生产凭证**，目前 Zigbee 协议不支持授权码清单交付方式；之后点击确认并提交，完成后下载生产凭证并解压，在 Token_information.txt 文档中提取授权码；
![image](https://images.tuyacn.com/fe-static/docs/img/0c8c9dc1-1add-4077-9304-d93c2df4bc00.png)
![image](https://images.tuyacn.com/fe-static/docs/img/46d93c4f-b545-40ed-b76f-69c8ceed9f74.png)

