 /**
 * @file tkl_zcl_identify.h
 * @brief Common process - identify
 * @version 1.0.0
 * @date 2021-05-13
 *
 * @copyright Copyright 2021-2022 Tuya Inc. All Rights Reserved.
 *
 */

#ifndef __TKL_ZCL_IDENTIFY_H__
#define __TKL_ZCL_IDENTIFY_H__


#ifdef __cplusplus
    extern "C" {
#endif

#include "tuya_cloud_types.h"

/**
 * @brief zigbee identify init 
 *
 * @param[in]   none
 * @return  OPRT_OK on success. Others on error, please refer to tuya_error_code.h
 */
OPERATE_RET tkl_zg_identify_init(VOID_T);

/**
 * @brief zigbee identify stop
 *
 * @param[in]   ep_id: endpoint
 * @return  TRUE/ FALSE
 */
BOOL_T tkl_zg_identify_stop(UINT8_T ep_id);

/**
 * @brief zigbee identify start
 *
 * @param[in]   ep_id: endpoint
 * @param[in]   time:  identify time (second) 
 * @return  TRUE/ FALSE
 */
BOOL_T tkl_zg_identify_start(UINT8_T ep_id, UINT16_T time);

/**
 * @brief zigbee identify time setting
 *
 * @param[in]   ep_id: endpoint
 * @param[in]   time:  identify time (second) 
 * @return  TRUE/ FALSE
 */
BOOL_T tkl_zg_identify_time_set(UINT8_T ep_id, UINT16_T time);

/**
 * @brief zigbee identify time get
 *
 * @param[in]   ep_id: endpoint
 * @param[out]  time:  identify time (second) 
 * @return  TRUE/ FALSE
 */
BOOL_T tkl_zg_identify_time_get(UINT8_T ep_id, UINT16_T *time);



#ifdef __cplusplus
}
#endif

#endif
